# DataExchange
TKSTEP
STEPSelections

# STEPSelections_SelectFaces Class Reference

This selection returns "STEP faces"
.

`#include <STEPSelections_SelectFaces.hxx>`

Inheritance diagram for STEPSelections_SelectFaces:

[legend]

## Public Member Functions

Standard_EXPORT | STEPSelections_SelectFaces ()
Standard_EXPORT Standard_Boolean | Explore (const Standard_Integer level, const Handle(Standard_Transient)&ent, const Interface_Graph &G, Interface_EntityIterator &explored) const
| Explores an entity, to take its faces Works recursively .
Standard_EXPORT TCollection_AsciiString | ExploreLabel () const
| Returns a text defining the criterium : "Faces" .
Standard_EXPORT const | Handle (Standard_Type)&DynamicType() const

## Constructor & Destructor Documentation

Standard_EXPORT STEPSelections_SelectFaces::STEPSelections_SelectFaces | ( |  | ) |

## Member Function Documentation

Standard_EXPORT Standard_Boolean STEPSelections_SelectFaces::Explore | ( | const Standard_Integer | level,
|  | const Handle(Standard_Transient)& | ent,
|  | const Interface_Graph & | G,
|  | Interface_EntityIterator & | explored
| ) | const`[virtual]`

| Implements IFSelect_SelectExplore.

Standard_EXPORT TCollection_AsciiString STEPSelections_SelectFaces::ExploreLabel | ( |  | ) | const`[virtual]`

| Implements IFSelect_SelectExplore.

Standard_EXPORT const STEPSelections_SelectFaces::Handle | ( | Standard_Type |  | ) | const

| Reimplemented from IFSelect_SelectExplore.

The documentation for this class was generated from the following file:

- STEPSelections_SelectFaces.hxx